--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: _extract_return_url
- !ruby/object:RI::MethodSummary 
  name: get_allowed_return_urls
- !ruby/object:RI::MethodSummary 
  name: return_to_matches
- !ruby/object:RI::MethodSummary 
  name: verify_return_to
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TOP_LEVEL_DOMAINS
  value: "%w'       com edu gov int mil net org biz info name museum coop aero ac ad       ae af ag ai al am an ao aq ar as at au aw az ba bb bd be bf bg       bh bi bj bm bn bo br bs bt bv bw by bz ca cc cd cf cg ch ci ck       cl cm cn co cr cu cv cx cy cz de dj dk dm do dz ec ee eg eh er       es et eu fi fj fk fm fo fr ga gd ge gf gg gh gi gl gm gn gp gq       gr gs gt gu gw gy hk hm hn hr ht hu id ie il im in io iq ir is       it je jm jo jp ke kg kh ki km kn kp kr kw ky kz la lb lc li lk       lr ls lt lu lv ly ma mc md mg mh mk ml mm mn mo mp mq mr ms mt       mu mv mw mx my mz na nc ne nf ng ni nl no np nr nu nz om pa pe       pf pg ph pk pl pm pn pr ps pt pw py qa re ro ru rw sa sb sc sd       se sg sh si sj sk sl sm sn so sr st sv sy sz tc td tf tg th tj       tk tm tn to tp tr tt tv tw tz ua ug uk um us uy uz va vc ve vg       vi vn vu wf ws ye yt yu za zm zw'"
- !ruby/object:RI::Constant 
  comment: 
  name: ALLOWED_PROTOCOLS
  value: "['http', 'https']"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The URI for relying party discovery, used in realm verification.
  - !ruby/struct:SM::Flow::P 
    body: "XXX: This should probably live somewhere else (like in OpenID or OpenID::Yadis somewhere)"
  name: RP_RETURN_TO_URL_TYPE
  value: "'http://specs.openid.net/auth/2.0/return_to'"
full_name: OpenID::TrustRoot
includes: []

instance_methods: []

name: TrustRoot
superclass: 
